
function fGetTime(dt) {
  if (dt==null) dt = new Date();
  var theHours = dt.getHours();
  var theMinutes = dt.getMinutes();
  var theSeconds = dt.getSeconds();
  return ((theHours<10 ? "0" : "")+theHours) + ":" + ((theMinutes<10 ? "0" : "")+theMinutes) + ":" + ((theSeconds<10 ? "0" : "")+theSeconds);
}

function fGetDate(dt) {
  if (dt==null) dt = new Date();
  var months="gennaio,febbraio,marzo,aprile,maggio,giugno,luglio,agosto,settembre,ottobre,novembre,dicembre".split(",");
  return dt.getDate() + " " + months[dt.getMonth()] + " " + dt.getFullYear();
}

function fGetDayOfWeek(dt) {
  if (dt==null) dt = new Date();
  var days = "domenica,luned,marted,mercoled,gioved,venerd,sabato".split(",");
  return ( days[dt.getDay()]  );
}

function fSetCurrentDateTime( obj ) {
  var dt = new Date();
  obj.innerText = fGetDayOfWeek(dt) + " " + fGetDate(dt) + " - " + fGetTime(dt);
}

function fSetCurrentTodayTime( obj ) {
  var dt = new Date();
  obj.innerText = fGetDayOfWeek(dt) + " - " + fGetTime(dt);
}
