
function fXmlParserError(error)
{
  var code, result;
  if ( error.errorCode < 0 ) code = (65536*65536) + error.errorCode;
  result = "XML Parser Error 0x" + code.toString(16).toUpperCase() + "<br>";
  if ( error.url != "" ) result += error.url + "<br>";
  result += error.reason;
  result += "<XMP>Riga=" + error.line + ", Colonna=" + error.linepos + "\n" + error.srcText + "\n";
  for ( var i=1; i<error.linepos; i++ ) result += " ";
  result += "^</XMP>";
  return result;
}

function fXmlTransform( xmlDoc, xslDoc )
{
  var result;
  if (xmlDoc.parseError.errorCode!=0) result = fXmlParserError(xmlDoc.parseError);
  else if (xslDoc.parseError.errorCode!=0) result = fXmlParserError(xslDoc.parseError);
  else try {
         result = xmlDoc.transformNode(xslDoc.XMLDocument);
       } catch ( exception ) { result = "XML Runtime Error : " + exception.description; }
  return result;
}
