<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
    <TABLE id='tblAll' border="0" cellspacing="2" cellpadding='2' width="100%">
      <TR class='reverse'>
        <TD>Unita' Organizzativa</TD>
        <TD>Prestazione</TD>
        <TD>Modalita' di erogazione e Giorni di attesa</TD>
      </TR>
      <TR>
        <xsl:apply-templates select="/erbs/erb"/>
      </TR>
    </TABLE>
  </xsl:template>

  <xsl:template match="erb">
    <TR>
      <TD style="cursor: help">
      <xsl:attribute name="title"><xsl:apply-templates select="ris"/></xsl:attribute>
        <xsl:apply-templates select="unt"/>
      </TD>
      <TD>
        <A href="#" onclick="lfClick(this)">
        <xsl:attribute name="id_erb"><xsl:value-of select="@id"/></xsl:attribute>
          <xsl:apply-templates select="att"/>
        </A>
      </TD>
      <TD><xsl:apply-templates select="tpctrs"/></TD>
    </TR>
  </xsl:template>

  <xsl:template match="unt">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="ris">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="att">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="tpctrs">
    <table width='100%' border='0' cellspacing="0" cellpadding='0'>
      <tr>
        <xsl:apply-templates select="tpctr"/>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="tpctr">
    <td><xsl:value-of select="@tg"/></td>
    <td align='right'>
    <xsl:attribute name="bgcolor">
      <xsl:choose>
        <xsl:when test="@wt>'15'">red</xsl:when>
        <xsl:otherwise>lightgreen</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
      <b><xsl:value-of select="@wt"/></b>
    </td>
  </xsl:template>

</xsl:stylesheet>
